The BOOST_PP_EMPTY macro is a nullary utility macro that expands to nothing.

#### Usage

BOOST_PP_EMPTY()

#### Remarks

This macro is helps avoid inefficient macro-expansion. It is primarily useful as arguments to BOOST_PP_IF or BOOST_PP_IIF.

#### Requirements

Header: <boost/preprocessor/facilities/empty.hpp>

#### Sample Code

    #include <boost/preprocessor/control/if.hpp>
    #include <boost/preprocessor/facilities/empty.hpp>

    #define X() result
    #define MACRO(c) BOOST_PP_IF(c, X, BOOST_PP_EMPTY)()

    MACRO(0) // expands to nothing
    MACRO(1) // expands to result